net.sf.jasperreports.charts.fill

## Class JRFillPie3DPlot

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRFillChartPlot
  - - net.sf.jasperreports.charts.fill.JRFillPie3DPlot

- All Implemented Interfaces:
    java.lang.Cloneable, JRPie3DPlot, JRChartPlot, JRCloneable

      public class JRFillPie3DPlot
      extends JRFillChartPlot
      implements JRPie3DPlot

  Version:
    $Id: JRFillPie3DPlot.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `JRChartPlot.JRSeriesColor`

  - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRFillChartPlot

      `chart, parent`

    - ### Fields inherited from interface net.sf.jasperreports.charts.JRPie3DPlot

      `DEPTH_FACTOR_DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRFillPie3DPlot(JRPie3DPlot pie3DPlot, JRFillObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getCircular()`
    `java.lang.Double` | `getDepthFactorDouble()`
    `JRItemLabel` | `getItemLabel()`
    `java.lang.String` | `getLabelFormat()`
    `java.lang.String` | `getLegendLabelFormat()`
    `java.lang.Boolean` | `getShowLabels()`

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRFillChartPlot

      `addSeriesColor, clearSeriesColors, clone, clone, collectExpressions, getBackcolor, getBackgroundAlphaFloat, getChart, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setBand, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `addSeriesColor, clearSeriesColors, clone, collectExpressions, getBackcolor, getBackgroundAlphaFloat, getChart, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Constructor Detail

    - #### JRFillPie3DPlot

          public JRFillPie3DPlot(JRPie3DPlot pie3DPlot,
                         JRFillObjectFactory factory)

  - ### Method Detail

    - #### getDepthFactorDouble

          public java.lang.Double getDepthFactorDouble()

      Specified by:
        `getDepthFactorDouble` in interface `JRPie3DPlot`
      Returns:
        a numeric value ranging from 0 to 1 that represents the depth of the pie as a percentage of the height of the plot area.

    - #### getCircular

          public java.lang.Boolean getCircular()

      Specified by:
        `getCircular` in interface `JRPie3DPlot`
      Returns:
        a flag that specifies a circular form for the 3D pie

    - #### getLabelFormat

          public java.lang.String getLabelFormat()

      Specified by:
        `getLabelFormat` in interface `JRPie3DPlot`
      Returns:
        the format pattern for labels

    - #### getLegendLabelFormat

          public java.lang.String getLegendLabelFormat()

      Specified by:
        `getLegendLabelFormat` in interface `JRPie3DPlot`
      Returns:
        the format pattern for legend labels

    - #### getItemLabel

          public JRItemLabel getItemLabel()

      Specified by:
        `getItemLabel` in interface `JRPie3DPlot`
      Returns:
        a `JRItemLabel` object representing the item label

    - #### getShowLabels

          public java.lang.Boolean getShowLabels()

      Specified by:
        `getShowLabels` in interface `JRPie3DPlot`
      Returns:
        a flag that specifies whether labels are to be shown or not

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com